I create a part and want to get the normal vector and one point of every plane of the part.
I don't know how to use the function "GetPlaneData()".
The code:
Dim oApp As Inventor.Application
Set oApp = ThisApplication
Dim oFace As Face
Dim oPartDef As PartComponentDefinition
Set oPartDef = oApp.ActiveDocument.ComponentDefinition
Dim oTG As TransientGeometry
Set oTG = oApp.TransientGeometry
For Each oFace In oPartDef.SurfaceBodies(1).Faces
Select Case oFace.SurfaceType
Case kPlaneSurface
Dim oPoint As Point
oPoint = ------------------------what should be here?
Dim oNormal As Vector
oNormal = oFace.Geometry.Normal
Next
thanks!
lancheng